> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--workflows/types/objects/workflow-policy.md).

# workflowPolicy

### Examples

```graphql
type WorkflowPolicy {
  id: String!
  isValid: Boolean
  createdAt: Float!
  createdBy: String
  enabled: Boolean
  updatedAt: Float!
  updatedBy: String
  name: String!
  description: String
  actions: [Action!]!
  triggers: [Trigger!]!
  runs: Int
  lastRunTime: Float
  workflowType: WorkflowType!
  isDefault: Boolean!
  monitorAllNewlyCreatedRepositories: Float
  wfPipelineSettings: WfPipelineSettings
}
```

### Fields

| Field                                                                                                                            | Description                                                                                  | Supported fields                                                                           |
| -------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| id `String!`                                                                                                                     | ID of the policy workflow                                                                    |                                                                                            |
| isValid `Boolean`                                                                                                                | defines if workflow is valid or not                                                          |                                                                                            |
| createdAt `Float!`                                                                                                               | Time the workflow was created                                                                |                                                                                            |
| createdBy `String`                                                                                                               | Workflow creator                                                                             |                                                                                            |
| enabled `Boolean`                                                                                                                | Enabled for evaluation                                                                       |                                                                                            |
| updatedAt `Float!`                                                                                                               | Time the workflow was updated                                                                |                                                                                            |
| updatedBy `String`                                                                                                               | Workflow last updated by                                                                     |                                                                                            |
| name `String!`                                                                                                                   | Name of the workflow                                                                         |                                                                                            |
| description `String`                                                                                                             | Description of the workflow                                                                  |                                                                                            |
| actions [`[Action!]!`](/api-documentation/api-reference/api--workflows/types/objects/action.md)                                  |                                                                                              | <p>name <code>String</code><br>type <code>String</code></p>                                |
| triggers [`[Trigger!]!`](/api-documentation/api-reference/api--workflows/types/objects/trigger.md)                               |                                                                                              | <p>name <code>String</code><br>category <code>String</code></p>                            |
| runs `Int`                                                                                                                       | numbers of runs this workflow had                                                            |                                                                                            |
| lastRunTime `Float`                                                                                                              | last time this workflow had run                                                              |                                                                                            |
| workflowType [`WorkflowType!`](/api-documentation/api-reference/api--workflows/types/enums/workflow-type.md)                     | type of the workflow (Regular scan / Pipeline scan)                                          |                                                                                            |
| isDefault `Boolean!`                                                                                                             | If the workflow is a default one                                                             |                                                                                            |
| monitorAllNewlyCreatedRepositories `Float`                                                                                       | If this workflow should trigger for all newly created repos starting from the time it is set |                                                                                            |
| wfPipelineSettings [`WfPipelineSettings`](/api-documentation/api-reference/api--workflows/types/objects/wf-pipeline-settings.md) | settings for pipeline                                                                        | apps [`[WfApp!]`](/api-documentation/api-reference/api--workflows/types/objects/wf-app.md) |

### References

#### Mutations using this object:

* [<\~> updateWorkflow](/api-documentation/api-reference/api--workflows/mutations/update-workflow.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--workflows/types/objects/workflow-policy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
